clang 8.0.0

Public Member Functions | List of all members
clang::tooling::SourceFileCallbacks Class Reference

Callbacks called before and after each source file processed by a FrontendAction created by the FrontedActionFactory returned by `newFrontendActionFactory`. More...

`#include "clang/Tooling/Tooling.h"`

## Public Member Functions
virtual | ~SourceFileCallbacks ()=default
virtual bool | handleBeginSource (CompilerInstance &CI)
| Called before a source file is processed by a FrontEndAction. More...
virtual void | handleEndSource ()
| Called after a source file is processed by a FrontendAction. More...

## Detailed Description

Callbacks called before and after each source file processed by a FrontendAction created by the FrontedActionFactory returned by `newFrontendActionFactory`.

Definition at line 121 of file Tooling.h.

## Constructor & Destructor Documentation

## ◆ ~SourceFileCallbacks()

virtual clang::tooling::SourceFileCallbacks::~SourceFileCallbacks | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ handleBeginSource()

virtual bool clang::tooling::SourceFileCallbacks::handleBeginSource | ( | CompilerInstance & | CI | ) |
| inline virtual

Called before a source file is processed by a FrontEndAction.

See also
  clang::FrontendAction::BeginSourceFileAction

Definition at line 127 of file Tooling.h.

Referenced by clang::tooling::newFrontendActionFactory().

## ◆ handleEndSource()

virtual void clang::tooling::SourceFileCallbacks::handleEndSource | ( |  | ) |
| inline virtual

Called after a source file is processed by a FrontendAction.

See also
  clang::FrontendAction::EndSourceFileAction

Definition at line 133 of file Tooling.h.

References clang::tooling::newFrontendActionFactory(), and clang::tooling::runToolOnCode().

Referenced by clang::tooling::newFrontendActionFactory().

The documentation for this class was generated from the following file:

- include/clang/Tooling/Tooling.h